# Latviešu valodas affix fails lietošanai ar OpenOffice v.v. 2.4.1 un 3.x.x,
# LibreOffice u.c. aplikācijām, kas pareizrakstības pārbaudei izmanto HunSpell
# Latvian affix table for OpenOffice v.v. 2.4.1 and 3.x.x, LibreOffice
# and other applications using HunSpell as the backend
#
# Copyright (C) 2002-2020 Janis Eisaks, jancs@dv.lv
#
# Versija//Version: 1.1.0
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
Versijas informācija 1.4.0

Izmaiņas šajā vesijā:
- labots afikss F (paldies Panderam no Nuspell projekta (https://nuspell.github.io))
- saīsināts automātiskās korekcijas sarakstsa par vainu->vai nu, jo vārds "vainu" ir pareizs
- papildināts vārdu krājums

Versijas informācija 1.3.0

Izmaiņas šajā vesijā:
- papildināti REP likumi ar nepareizi uzrakstītu vārdu labošanas padomiem (paldies R.Adovičam!)

==================
Versijas informācija 1.1.0

Izmaiņas šajā vesijā:
- laboti vairāki afiksi;
- papildināts vārdu krājums;
==================
Versijas informācija 1.0.0

Izmaiņas šajā vesijā:
- visa bibliotēka konvertēta uz UTF-8;
- I konjugācijas darbības vārdiem izveidoti atgriezenisko formu afiksi;
- praktiski visiem vārdiem pievienoti vārdšķiru klasifikatori;
- ieviesta "dubulto" afiksu lietošana;
- ieviestas vairākas ļoti noderīgas, virspusēji neredzamas HunSpell funkcijas;

=================
Version info 0.9.6
Svarīgs paziņojums: 
šī ir vispēdējākā vārdnīcas versija, kas ir 100% MySpell savietojama. 
Ar nākošo laidienu (v.1.0.0) tiks uzsākta HunSpell funkcionalitātes ieviešana.

Izmaiņas šajā versijā:
- koriģēts .dic fails

=================
Version info 0.9.4
Svarīgs paziņojums: 
arī šī ir pēdējā vārdnīcas versija, kas ir 100% MySpell savietojama. 
Ar nākošo laidienu (v.1.0.0) tiks uzsākta HunSpell funkcionalitātes ieviešana.

Izmaiņas šajā versijā:
- koriģēts SFX x - nezināmu iemeslu dēļ bija zuduši daudzi afiksi;
- koriģēts .dic fails (par abu problēmu identificēšanu - liels paldies Aleksandram Smišļajevam);

==================
Version info 0.9.3
Svarīgs paziņojums: 
šī ir pēdējā vārdnīcas versija, kas ir 100% MySpell savietojama.
Ar nākošo laidienu tiks uzsākta HunSpell funkcionalitātes ieviešana.

Izmaiņas šajā vesijā:
- koriģēts SFX 6 - aizvākts viens lieks (atkārtots) likums;
- papildināts SFX 3 ar likumu pavēles formas veidošanai;
- papildināts SFX 4 ar likumiem piem., vārdu lemt, riet, siet, cirst,  pagātnes formu veidošanai;
- papildināts SFX 5 ar afiksiem vārdu rīt, vīt apgātnes formu iegūšanai;
- papildināts SFX 7 ar afiksiem I konj. daļas 2. un 3. grupas vārdu tagadnes formu iegūšanai;
- papildināts SFX 8 ar afiksiem vārdu cept, nest, ņemt tagadnes formu iegūšanai;
- mainīti afiksi 2 un E;
- papildināts vārdu krājums;
- veikta padziļināta vārdnīcas pārbaude, lai aizvāktu atkārtojumus, kļūdas;
==================
Version info 0.9.2
- kļūdaina relīze
==================
Version info 0.9.1
- papildināts SFX x ar iztrūkstošiem nosacījumiem;
- atbilstoši tam mainīta un tīrīta vārdu bāze;
- papildināts vārdu krājums;
- aizvākti vairāki kļūdainie ieraksti;
==================
Version info 0.9.0
- izveidots jauns afikss, kas SFX x, kas atbild par sieviešu dzimtes vārdu veidošanu no 
  vīriešu dzimtes vārdiem (skolnieks->skolniece utml);
- attiecīgi mainīta vārdu bāze, pie viena izmetot vairākus gramatiski pareizus, taču idiotiska satura ierakstus;
- papildināts vārdu krājums;
==================
Version info 0.8.2
-kosmētiskas izmaiņas vārdu bāzē;
-labots afiksu fails (kļūda, kuras dēļ III konj. darbības vārdiem ar galotni īt nebija 
  -ošs divdabja formu);
==================
Version info 0.8.1
-lielākas nekā sākotnēji domāts izmaiņas vārdu bāzē;
-aizvāktas dažas atvasinātās vārdu formas, kuras "nenes" pielietojamu jēgu;
=================
Version info 0.8b1
!!! versija uzskatāma par pre-release
-būtiskas izmaiņas aff failā, tālab arī leciens versiju numerācija;
-papildinājumi vārdu bāzē;
-aizvāktas dažas atvasinātās vārdu formas, kuras "nenes" pielietojamu jēgu;
=================
Version info 0.7.4
-labots afiksu fails - kļūdas pēc diviem afiksiem bija vienādas atslēgas (tas
 (laimīgā kārtā, šķiet, neietekmēja vārdnīcas darbaspējas);
-ar roku filtrēti īpašības vārdu krājumi;
-papildināts vārdu krājums
=================
Version info 0.7.3
-labots II deklinācijas afikss (papildināts ar nnis-ņņi)
-labotas kļūdas vārdnīcā
-papildināts vārdu krājums
Zināmās problēmas:
- iztrūkstoši vārdi vai to atsevišķas formas, kuras lietotāji ir laipni aicināti 
  sūtīti  man darba turpināšanai.
=================
Version info 0.7.2
- papildināts vārdu krājums;
- novērstas nepilnības vārdu locījumos
Zināmās problēmas:
- iztrūkstoši vārdi vai to atsevišķas formas.
=================
Version info 0.7.1
- korekcijas īpašības vārdu pārāko pakāpju afiksos;
- papildināts vārdu krājums;
- novērstas nepilnības atsevišķu vārdu locījumos
Zināmās problēmas:
- iztrūkstoši vārdi vai to atsevišķas formas.
==================
Version info 0.7
- pilnībā pārstrādāta darbības vārdu afiksu daļa
- būtiski papildinās .dic fails
- labotas kļūdainās formas
Zināmās problēmas
Joprojām ir vārdi, kuri netiek atpazīti, taču darbs turpinās.
===================
Version info 0.6.5
- labojumi īpašības vārdu pārākās un vispārākās pakāpes afiksos;
- būtiski papildinās .dic fails
Zināmās problēmas
Atsevišķu I konjugācijas darbības vārdu atsevišķas formas
===================
Version info 0.6.4
- būtiskas izmaiņas dažos afiksos, kuru dēļ notika tā, kā notika
- izfiltrēts un pārbaudīts dic fails
=================
Version info 0.6.3c
- daži labojumi aff failā
- papildināts dic fails
=================
Version info 0.6.3a
- izlabots aff fails (neuzmanības kļūda, kas, iespējams, neatstāja ietekmi uz
  darbību
- papildināts dic fails
=================
 
Version info 0.6.3
- izlaboti un optimizēti daži afiksi;
- manuāli izfiltrēts vārdu pamatformu krājums, tuvinot reālai dzīvei;
- koplektā iekļauts arī Jāņa Vilima izstrādātais vārdu pārnesējs v. 0.2 (skat. hyph-lasimani.txt);

Vārdnīcā joprojām iztrūkst šis un tas, tāpēc visi ir mīļi aicināti sūtīt neatpazītos vārdus man (adrese - skat augšā) vai ierosinājumus par pārnesēju - Jānim Vilimam.

Turpmākajos plānos ietilpst vārdnīcas papildināšana un, iespējams, darbības vārdu afiksu pārstrāde, ja eksperimenti apstiprinās aizdomas par kļūdām.

=================
Version info 0.6
- pilnīgi pārveidota afiksu faila struktūra, sadalot locījumus
  pa skaitļiem un pamazināmām formām ar nolūku uzlabot pareizo
  (dzīvē pielietojamo) formu kodēšanu. Ir izdarīti arī vairāki
  afiksu labojumi.


Vārdnīcā 0.6 joprojām nav atrodami:
- darbības vārdi, kuri eksistē tikai refleksīvajās formās
- I konjugācijas darbības vārdu refleksīvās formas
- I konjugācijas darbības vārdu divdabju sufiksi - ošs ošais ams amais
- I konjugācijas darbības vārdu divdabju sufiksi - is dams damais
- lietvārdi-daudzskaitlinieki

Visi, kas lieto šo "brīnumu", ir laipni aicināti sūtīt man neatpazīto
vārdu sarakstus (txt vai swx formātos). 
Visideālākā forma - neatpazītais vārds visos tam raksturīgajos locījumos.

Entuziasti var nodarboties arīdzan ar specializēto vārdnīcu veidošanu, 
kuras var pieslēgt lietošanai OpenOffice paralēli pamatvārdnīcai.

=================
Verson info 0.5.5
- pievienota visa 1. konjugācija....
- lietvārdu pamazināmo formu afiksi

Vārdnīcā 0.5.5 nav atrodami:
- darbības vārdi, kuri eksistē tikai refleksīvajās formās
- lietvārdi-daudzskaitlinieki
- vēl šis un tas

Verson info 0.5sr2
- pievienoti 1. konjugācijas darbības vārdū nākotnes formas

Vārdnīcā 0.5sr2 nav atrodami:
- darbības vārdi, kuri eksistē tikai refleksīvajās formās
- lietvārdi-daudzskaitlinieki
- vēl šis un tas (piem. pamazināmās formas)

Verson info 0.5
- pievienota divdabju veidošana un locīšana
- izlabota kļūda I deklinācijas locīšanā (piem. kuģis)
- izlabota kļūda V deklinācijas locīšanā (piem. roze)
- papildināta vārdnīca (nedaudz)

Vārdnīcā 0.5 nav atrodami:
- 1. konjugācijas darbības vārdi
- darbības vārdi, kuri eksistē tikai refleksīvajās formās
- lietvārdi-daudzskaitlinieki
- vēl šis un tas (piem. pamazināmās formas)

Version info 0.4.1
- izlabots glucks I deklinācijas lietvārdu locīšanā
- pievienoti skaitļa vārdi

Vārdnīcā nav atrodami:
- 1. konjugācijas darbības vārdi
- darbības vārdi, kuri eksistē tikai refleksīvajās formās
- lietvārdi-daudzskaitlinieki
- divdabji, 
- vēl šis un tas


Version info: 0.4
-koriģētas 1. un 4. deklinācija lietvārdu vārdnīcas
-ieviesti afiksi īpašības vārdiem
-pievienoti apstākļa vārdi un īpašības vārdi

Vārdnīcā nav atrodami:
- 1. konjugācijas darbības vārdi
- darbības vārdi, kuri eksistē tikai refleksīvajās formās
- lietvārdi-daudzskaitlinieki
- divdabji, 
- skaitļa vārdi
- vēl šis un tas


Version info: 0.3.1
-izlabots fails .dic, II deklinācijas atslēga (suns, akmens)
-pievienoti 1. un 6. deklinācijas lietvārdi

Vārdnīcā nav atrodami:
- 1. konjugācijas darbības vārdi
- īpašības vārdi, divdabji, apstākļa vārdi, 
- darbības vārdi, kuri eksistē tikai refleksīvajās formās
- skaitļa vārdi
- vēl šis un tas


Version info: 0.3

Vārdnīcā nav atrodami:
- 1. un 6. deklinācijas lietvārdi
- 1. konjugācijas darbības vārdi
- īpašības vārdi, divdabji, apstākļa vārdi, 
- darbības vārdi, kuri eksistē tikai refleksīvajās formās
- skaitļa vārdi
- vēl šis un tas

Version info: 0.3a
izlabots fails .dic, kurā bija zudušas atslēgas IV deklinācijai

Version info: 0.3

Vārdnīcā nav atrodami:
- 1. un 6. deklinācijas lietvārdi
- 1. konjugācijas darbības vārdi
- īpašības vārdi, divdabji, apstākļa vārdi, 
- darbības vārdi, kuri eksistē tikai refleksīvajās formās
- skaitļa vārdi
- vēl šis un tas

Vārdīcas uzstādīšanai - skat. :

http://www.ooodocs.org/dictinstall/nexthelp.html   (En)

vai

http://www.integoplus.lv/opensource/openoffice.html  (Lv)
